unordered_set File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Typedefs

template<typename _Key, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_multiset
template<typename _Key, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_set

## Functions

template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (unordered_multiset< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (unordered_set< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/unordered_set.

## Typedef Documentation

## unordered_multiset

template<typename _Key, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_multiset

Definition at line 82 of file experimental/unordered_set.

## unordered_set

template<typename _Key, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_set

Definition at line 78 of file experimental/unordered_set.